parameters:
    max_upload_size: 20

services:
    _defaults:
        autowire: true
        autoconfigure: true
        public: false
    
    UVDesk\CommunityPackages\UVDesk\CustomFields\:
        resource: '../../*'
        exclude: '../../Entity'

    UVDesk\CommunityPackages\UVDesk\CustomFields\Services\CustomFieldsService:
        class: UVDesk\CommunityPackages\UVDesk\CustomFields\Services\CustomFieldsService
        public: true
        arguments:
            $entityManager: '@Doctrine\ORM\EntityManagerInterface' 
            $customContainer: '@Symfony\Component\DependencyInjection\ContainerInterface' 
            $validationService: '@UVDesk\CommunityPackages\UVDesk\CustomFields\Services\ValidationService'
            $translatorService: '@Symfony\Contracts\Translation\TranslatorInterface'
    
    uvdesk_package_custom_fields.service:
        public: true
        alias: UVDesk\CommunityPackages\UVDesk\CustomFields\Services\CustomFieldsService